Subject: RE: [Geopriv] PIDF-LO needs a "derived from another form" method

From: "James Winterbottom" <[email-masked]>
Date: Thu, 21 Jul 2005 20:58:45 +1000

Hi All,

If we have to have this, think that it needs be descriptive down to
<derived-from-civic> or <derived-from-geo>. The reason for this is, as Andy
points out, that the method attribute applies to the whole geopriv element.
If you provide both, as Keith suggests, then they need be provided in the
same location-info element, the same tuple but in different GeoPriv
elements, or in a different tuple. The latter two cases make it difficult to
be sure that they are supposed to be the same location. The first case makes
it difficult to determine which was derived from which, unless the method is
explicit.

I am okay with the change, providing it is explicit, and we very clearly
state how and where it is to be used.

Cheers
James

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Drage, Keith (Keith)
Sent: Thursday, 21 July 2005 8:28 PM
To: Marc Berryman; Brian Rosen; GEOPRIV
Cc: Cindy Clugy
Subject: RE: [Geopriv] PIDF-LO needs a "derived from another form" method

I am not sure I see a problem with derived data, providing the original data
is also provided.

I therefore think that where the location relates to an emergency situation,
that SHOULD has to be a MUST. Otherwise Brian's text looks OK to me.

It then falls onto the PSAP to take the information it is best able to
handle. That is assuming that we have made it possible to be always clear
whether it is derived or not, and also clear what the source of each
location is.

regards

Keith

Keith Drage
Lucent Technologies
[email-masked]
tel: +44 1793 776249

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Marc Berryman
> Sent: 20 July 2005 21:59
> To: Brian Rosen; GEOPRIV
> Cc: Cindy Clugy
> Subject: RE: [Geopriv] PIDF-LO needs a "derived from another form" 
> method
> 
> 
> I am a strong believer in the conversion from a geo to a
> civic location
> should be the sole responsibility of the PSAP. No other authority,
> agency, or agent should be allowed to assume that responsibility.
> 
> I have seen too many times in the Phase II world (bad analogy, but it 
> illustrates a point) where the civic location "selected" for the geo 
> was incorrect and caused a delayed response.
> 
> >From the PSAP, the transformation must remain at the PSAP.
> 
> 
> 
> Marc B
> 
> 
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Brian Rosen
> Sent: Wednesday, July 20, 2005 1:33 PM
> To: 'GEOPRIV'
> Subject: [Geopriv] PIDF-LO needs a "derived from another form" method
> 
> 
> In draft-ietf-geopriv-pidf-lo-03, there is a "method" parameter that 
> describes how the location was determined.  Although I don't like the 
> whole idea, it seems clear that many folks want to allow 
> transformations between
> civic and geo, and sending both forms in one tuple.  If we do 
> that, then
> the
> method should be "derived" or something like it, indicating that the
> location data was not determined originally by that method, but some
> transformation has been applied to it.  This needs another registered
> value.
> 
> I would like text that says, "If location is provided with method 
> 'derived', the original version of the data, with the method actually 
> used to determine
> it SHOULD also be provided".
> 
> Brian
> 
> 
> 
> _______________________________________________
> Geopriv mailing list
> [email-masked] https://www1.ietf.org/mailman/listinfo/geopriv
> 
> _______________________________________________
> Geopriv mailing list
> [email-masked] https://www1.ietf.org/mailman/listinfo/geopriv
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv
_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: "Brian Rosen" <[email-masked]>
Date: Thu, 21 Jul 2005 09:35:21 -0400

Now I’m confused.  If you have two different representations in the same
geopriv element, you can guess which is derived if we expand “manual” to
have two values ("manual-civic" and "manual-geo”).  The “derived” method is
needed when you have two geopriv elements in the same tuple; one would have
an original method, the other would have the “derived” method.  The same
mechanism would work for two tuples that were otherwise indistinguishable,
but I’d rather not see that.

I would prefer to see guidance on how to represent the same location using
an original and a derived representation so that we only have one right way,
although the “strict in what you send, liberal in what you accept” maxim
would apply.

Brian

________________________________________
From: James Winterbottom [mailto:[email-masked]] 
Sent: Thursday, July 21, 2005 6:59 AM
To: Brian Rosen; GEOPRIV
Subject: RE: [Geopriv] PIDF-LO needs a "derived from another form" method

Hi All,